﻿$ErrorActionPreference = 'Stop';

$packageName= 'tangible-t4-vs2013'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://visualstudiogallery.msdn.microsoft.com/6d1223ca-5e52-49d0-a489-910f9b76396e/file/107941/7/tangibleT4EditorPlusModellingToolsVS2013.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url

  softwareName  = 'tangible-t4-vs2013'

  checksum      = '0CC159E5CEC35923162C2D06B843CE7D86CEAB184094FAB519568CB190E27293'
  checksumType  = 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
